﻿@model OperationalRiskException.Core.ViewModels.QuestionVM
@{
    Layout = null;
}

<div class="modal-header">
    <h4 class="modal-title">Update Question Category</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
</div>
<div class="modal-body">
    <form name="updateCategoryForm">
        @if (Model != null && Model.QuestionId > 0)
        {
            @Html.HiddenFor(a => a.QuestionId)
        }

        @Html.HiddenFor(m => m.QuestionType, new { Value = "1" })
        <div class="form-group ">
            <label for="exampleInputUsername1">Question  Text</label>
            <div class="row">
                @Html.TextAreaFor(m => m.QuestionText, new { @class = "form-control", @placeholder = "Add Question" })
                @Html.ValidationMessageFor(model => model.QuestionText, null, new { @class = "text text-danger" })
            </div>
        </div>

        <div class="form-group ">
            <label for="exampleInputUsername1">Answer Text(A)</label>
            <div class="row">
                @Html.TextAreaFor(m => m.AnswerTextA, new { @class = "form-control", @placeholder = "Answer Text(A)" })
                @Html.ValidationMessageFor(model => model.AnswerTextA, null, new { @class = "text text-danger" })
            </div>
        </div>
        <div class="form-group ">
            <label for="exampleInputUsername1">Answer Text(B)</label>
            <div class="row">
                @Html.TextAreaFor(m => m.AnswerTextB, new { @class = "form-control", @placeholder = "Answer Text(B)" })
                @Html.ValidationMessageFor(model => model.AnswerTextB, null, new { @class = "text text-danger" })
            </div>
        </div>
        <div class="form-group ">
            <label for="exampleInputUsername1">Answer Text(C)</label>
            <div class="row">
                @Html.TextAreaFor(m => m.AnswerTextC, new { @class = "form-control", @placeholder = "Answer Text(C)" })
                @Html.ValidationMessageFor(model => model.AnswerTextC, null, new { @class = "text text-danger" })
            </div>
        </div>

        <div class="form-group ">
            <label for="exampleInputUsername1">Answer Text(D)</label>
            <div class="row">
                @Html.TextAreaFor(m => m.AnswerTextD, new { @class = "form-control", @placeholder = "Answer Text(D)" })
                @Html.ValidationMessageFor(model => model.AnswerTextD, null, new { @class = "text text-danger" })
            </div>
        </div>
        <div class="form-group ">
            <label for="exampleInputUsername1"> Select the right choice </label>
            <div class="row">
                @Html.EnumDropDownListFor(model => model.ChoiceAnswer, new { @class = "form-control" })
            </div>
        </div>
        <div class="form-group ">
            <label for="exampleInputUsername1"> Select Category</label>
            <div class="row">
                @Html.DropDownListFor(m => m.CategoryId, new SelectList(ViewBag.Categories, "CategoryId", "CategoriesName"), new { @class = "form-control", @placeholder = "Add Question" })
                @Html.ValidationMessageFor(model => model.CategoryId, null, new { @class = "text text-danger" })
            </div>
        </div>



    </form>
</div>
<div class="modal-footer">
    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
    <button class="btn btn-danger" onclick="updateRecordOption()">Update</button>
</div>